Summary: GNOME screen reader
Name: gnopernicus
Version: 1.0.4
Release: 1.fc5.1
License: LGPL
Group: Desktop/Accessibility
URL: http://www.baum.ro/gnopernicus.html
Source: http://ftp.gnome.org/pub/GNOME/sources/gnopernicus/0.9/gnopernicus-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel
BuildRequires: gnome-mag-devel >= 0.11.2
BuildRequires: gnome-speech-devel
BuildRequires: intltool
BuildRequires: GConf2-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: at-spi-devel
BuildRequires: scrollkeeper
BuildRequires: gettext
Requires(pre): /usr/bin/scrollkeeper-update
Requires(postun): /usr/bin/scrollkeeper-update
Requires: gnome-speech
Requires: gnome-mag >= 0.11.2
Requires: at-spi
Requires: libgail-gnome

%description
Screen magnifier and reader.

%package devel
Summary: Files to compile applications that use the GNOME screen reader
Group: Development/Libraries
Requires: %name = %{version}

Requires: at-spi-devel
Requires: gtk2-devel
Requires: libglade2-devel
Requires: libgnome-devel
Requires: libgnomeui-devel
Requires: libxml2-devel

%description devel
gnopernicus-devel contains the header files required to compile applications 
against the GNOME screen reader.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %{name}

# Not useful - this can be run via Preferences->Accessibility->Assistive Technology Support
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gnopernicus.desktop
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="brlmonitor.schemas gnopernicus.schemas remote.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
/usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*schemas
%{_sysconfdir}/gnopernicus-1.0
%{_libexecdir}/brlmonitor
%{_bindir}/gnopernicus
%{_bindir}/gnopernicus-mag-config
%{_bindir}/srcore
%{_libdir}/gnopernicus-1.0/lib*.so.*
%{_datadir}/gnome/help/brlmonitor
%{_datadir}/gnome/help/gnopernicus
%{_datadir}/gnopernicus
%{_datadir}/omf/gnopernicus
%{_datadir}/pixmaps/*png

%files devel

%{_libdir}/gnopernicus-1.0/lib*.so
%{_libdir}/pkgconfig/*pc
%{_includedir}/gnopernicus-1.0

%changelog
* Mon Apr 10 2006 Matthias Clasen <mclasen@redhat.com> - 1.0.4-1.fc5.1
- Update to 1.0.4

* Mon Feb 13 2006 Matthias Clasen <mclasen@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> 1.0.1-1
- Update to 1.0.1 

* Thu Dec 15 2005 Matthias Clasen <mclasen@redhat.com> 1.0.0-1
- Update to 1.0.0
- Work around wrong-evaluation-time issues in configure

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Oct 13 2005 Matthias Clasen <mclasen@redhat.com> 0.12.0-2
- Don't require libglade-devel

* Wed Oct 12 2005 Matthias Clasen <mclasen@redhat.com> 0.12.0-1
- Update to 0.12.0

* Wed Oct  5 2005 Matthias Clasen <mclasen@redhat.com> 0.11.7-1
- Update to 0.11.7

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com> 0.11.6-1
- Update to 0.11.6

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 0.11.4-1
- New upstream version

* Thu Aug  4 2005 Matthias Clasen <mclasen@redhat.com> 0.11.3-1
- New upstream version

* Tue Jun 28 2005 Matthias Clasen <mclasen@redhat.com> 0.11.2-1
- Update to 0.11.2
- Update filelist 

* Tue Apr 12 2005 Matthias Clasen <mclasen@redhat.com> 0.10.6-1
- Update to 0.10.6

* Wed Mar 30 2005 Matthias Clasen <mclasen@redhat.com> 0.10.5-1
- Update to 0.10.5
- Split off a devel package (#152169)

* Mon Mar 14 2005 Matthias Clasen <mclasen@redhat.com> 0.10.4-1
- Update to 0.10.4

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> 0.10.3-1
- Update to 0.10.3
- Removed upstreamed patches

* Fri Feb 28 2005 Matthias Clasen <mclasen@redhat.com> 0.10.2-1
- Update to 0.10.2

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 0.10.1-1
- Update to 0.10.1

* Fri Jan 28 2005 Matthias Clasen <mclasen@redhat.com> 0.10.0-2
- Fix a buffer overflow

* Fri Jan 28 2005 Matthias Clasen <mclasen@redhat.com> 0.10.0-1
- Update to 0.10.0

* Wed Oct 13 2004 Colin Walters <walters@redhat.com> 0.9.14-1
- New upstream 0.9.14

* Fri Sep 03 2004 Colin Walters <walters@redhat.com> 0.9.12-1
- New upstream 0.9.12

* Fri Sep 03 2004 Colin Walters <walters@redhat.com> 0.9.11-1
- New upstream 0.9.11
- Kill off desktop file entirely (#132570).

* Fri Sep 03 2004 Colin Walters <walters@redhat.com> 0.9.10-3
- Use desktop-file-install to install .desktop file,
  move into Preferences->Accessibility (#131729).

* Thu Aug 31 2004 Colin Walters <walters@redhat.com> 0.9.10-2
- Fix license field to be LGPL
- Change description to "GNOME Screen reader"

* Thu Aug 31 2004 Colin Walters <walters@redhat.com> 0.9.10-1
- Update to 0.9.10

* Thu Aug 18 2004 Colin Walters <walters@redhat.com> 0.9.9-1
- Update to 0.9.9
- Remove compile patch
- Handle move of brlmon to /usr/libexec

* Thu Aug 12 2004 Colin Walters <walters@redhat.com> 0.9.8-2
- Fixes from Matthias Saou (matthias@rpmforge.net):
  - Change to description to a better one, matching other accessibility
  applications
  - Update URL to a better one
  - Add full source URL
  - Be more consistent about path usage (scrollkeeper-update and rm)
  - Add 755 default directory mode
  - Add documentation, including the mandatory copy of the GPL
  
* Wed Aug 04 2004 Colin Walters <walters@redhat.com> 0.9.8-1
- Update to 0.9.8
- Add backported patch from CVS to make it compile

* Fri Jul 09 2004 Colin Walters <walters@redhat.com> 0.9.5-1
- Update to 0.9.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 18 2004 Colin Walters <walters@redhat.com> 0.9.2-1
- Update to 0.9.2
- BuildRequire latest gnome-mag

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 0.8.1-2
- BR intltool GConf2-devel libgnome-devel libgnomeui-devel at-spi-devel 
  scrollkeeper gettext

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 0.8.1-1
- Update to 0.8.1

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 0.7.6-1
- Update to 0.7.6

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.7.5-1
- update to 0.7.5

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Oct 18 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- prereq scrollkeeper-update

* Thu Oct  2 2003 Jonathan Blandford <jrb@redhat.com> 0.7.0-1
- new version

* Fri Jul 18 2003 Jonathan Blandford <jrb@redhat.com>
- add some requires.

* Thu Jul 17 2003 root <jrb@dhcp64-232.boston.redhat.com> 0.3.4-1
- update to new version

* Fri May  9 2003 Jonathan Blandford <jrb@redhat.com> 
- Initial build.

